package batch_msg

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/batch_msg"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /batch_msg/list batch_msg GetBatchMsgList
//
// Get batch msg list | 获取BatchMsg列表
//
// Get batch msg list | 获取BatchMsg列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: BatchMsgListReq
//
// Responses:
//  200: BatchMsgListResp

func GetBatchMsgListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.BatchMsgListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := batch_msg.NewGetBatchMsgListLogic(r.Context(), svcCtx)
		resp, err := l.GetBatchMsgList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
